<?php
/* $Id: edit_event.php 17 2009-05-24 00:03:17Z mir $ */

require_once 'calendar.class.php';
require_once 'user_validate.php';

valid_user();

include_once 'config.inc.php';
include_once 'eventgui.class.php';

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}

if (isset($_SESSION['authenticate']) && $_SESSION['authenticate']->validUser()) {
    $view_style = ($_SESSION['user_settings']->getViewStyle()) ?
        $_SESSION['user_settings']->getViewStyle() : VIEW_STYLE;
    $timeout = ($_SESSION['user_settings']->getTimeout()) ?
        (int) $_SESSION['user_settings']->getTimeout() : TIMEOUT;
    $week_start_sunday = ($_SESSION['user_settings']->getStartWeek() !== NULL) ?
        $_SESSION['user_settings']->getStartWeek() : WEEK_START_SUNDAY;
    $start_hour = ($_SESSION['user_settings']->getStartHour()) ?
        (int) $_SESSION['user_settings']->getStartHour() : START_HOUR;
    $end_hour = ($_SESSION['user_settings']->getEndHour()) ?
        (int) $_SESSION['user_settings']->getEndHour() : END_HOUR;
}

if (isset($timeout)) {
    session_cache_expire($timeout);
    //print session_cache_expire();
    session_start();
}

$pwd = WEB_ROOT;
if ($pwd[strlen($pwd)-1] == '/')
    $pwd = substr($pwd, 0, -1);

if (isset($_POST) && count($_POST) > 0) {
    $calendar = var_export($_POST, TRUE);
}
else {
    $vevents = $_SESSION['all_events'][$_GET['cal']];
    foreach ($vevents as $vevent) {
        if ($vevent->getEtag() == $_GET['etag']) {
            $event = $vevent;
            break;
        }
    }

    $gui = new EventGUI($event);
    $calendar = $gui->getView();
}
include TOP_FOLDER.'/include/header.inc.php';
include TOP_FOLDER.'/include/menu.inc.php';

print "<div id=\"ui\">$calendar</div>";
include TOP_FOLDER.'/include/footer.inc.php';

?>
